# Configuration

{% code title="config.lua" lineNumbers="true" %}

```lua
Config = {}

--- [[ Markhor Bridge ]] ---
--- [[ Markhor Bridge ]] ---


--- This resource depends on Markhor Bridge.
--- With Markhor Bridge, all necessary settings (such as framework, inventory, interact, etc.) are automatically set.
--- You don't have to do anything except install Markhor Bridge.


--- [[ Markhor Bridge ]] ---
--- [[ Markhor Bridge ]] ---

Config.language = "EN" -- Choose Language -> "EN" / "NL".
Config.commandName = "easter" -- Choose which command to use for the scoreboard
Config.topShow = 5 -- How many people are on the scoreboard (TOP X)
Config.eggProp = { -- Choose which props can spawn as an Easter egg
    "bzzz_event_easter_flag_a",
    "bzzz_event_easter_flag_b",
    "bzzz_event_easter_flag_c",
}

-- This is the range where eggs spawn, a circle is drawn around the person with a radius of nearbyRangeMin and nearbyRangeMax. The eggs spawn in that area.
Config.nearbyRangeMin = 25
Config.nearbyRangeMax = 175
Config.tooFar = 500 -- When a player is further than this value away from an egg, the egg despawns and a new one spawns nearby.


--==[[ Egg spawn control ]]==--

-- Because the system works in such a way that the more eggs you have found, the more difficult it becomes, different tiers apply.
-- By default, tier2max is 100 and tier1max is 50, which means that the tier2 settings work when a player has found between 50 and 100 eggs.
Config.tier1max = 50
Config.tier2max = 100
Config.tier3max = 250
Config.tier4max = 500

--[[
    The settings per tier can be adjusted below. A timer and a counter are used for this.
    The timer indicates every how many seconds an egg spawns near the player
    The counter indicates the maximum number of eggs that spawn nearby.
    So for example if tier1timer is 5 and tier1counter is 10 then everyone spawns with less than tier1max (50) eggs
    has found an egg every 5 seconds with a maximum of 10 eggs in that area.
]]

Config.tier1timer = 1
Config.tier1counter = 10

Config.tier2timer = 3
Config.tier2counter = 8

Config.tier3timer = 5
Config.tier3counter = 6

Config.tier4timer = 7
Config.tier4counter = 4

-- elseTimer and elseCounter are used as soon as someone has found more eggs than set in Config.tier4max
Config.elseTimer = 9
Config.elseCounter = 2
```

{% endcode %}

{% code title="language.lua" lineNumbers="true" %}

```lua
Language = {
	["EN"] = {
		["eggFound"] = "You've found a ~y~Easter egg ~w~. Use ~b~/%s ~w~for the ~b~scoreboard~w~!",
		["pickupHelp"] = "Press ~INPUT_PICKUP~ to pick up the Easter egg",
		["cmdDescription"] = "Open the Easter scoreboard",
        	["chatTitle"] = "[MARKHOR EASTER]",
	},

	["NL"] = {
		["eggFound"] = "Je hebt een ~y~paasei ~w~gevonden. Gebruik ~b~/%s ~w~voor het ~b~scoreboard~w~!",
		["pickupHelp"] = "Druk op ~INPUT_PICKUP~ om het paasei op te rapen",
		["cmdDescription"] = "Open het pasen scoreboard",
        	["chatTitle"] = "[MARKHOR EASTER]",
	}
}
```

{% endcode %}

{% code title="functions.lua" lineNumbers="true" %}

```lua
Functions = {}

-- With the following client called functions, the text messages can be fully customized
Functions.ShowHelpNotification = function(message)
    AddTextEntry("helpnotif", message)
    BeginTextCommandDisplayHelp("helpnotif")
    EndTextCommandDisplayHelp(0, false, true, -1)
end

-- This server called function makes it possible to link and customize your own chat resource
Functions.ShowChatMessage = function(src, title, color, message)
    TriggerClientEvent('chatMessage', src, title, color, message)
end
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.markhorscripts.com/home/scripts/markhor-easter-hunt/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
